net.sf.jasperreports.components.iconlabel

## Class IconLabelElementGraphics2DHandler

- java.lang.Object
- - net.sf.jasperreports.components.iconlabel.IconLabelElementGraphics2DHandler

- All Implemented Interfaces:
    GenericElementGraphics2DHandler, GenericElementHandler

      public class IconLabelElementGraphics2DHandler
      extends java.lang.Object
      implements GenericElementGraphics2DHandler

  Version:
    $Id: MapElementGraphics2DHandler.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconLabelElementGraphics2DHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exportElement(JRGraphics2DExporterContext exporterContext, JRGenericPrintElement element, java.awt.Graphics2D grx, Offset offset)` Exports a generic element.
    `static IconLabelElementGraphics2DHandler` | `getInstance()`
    `boolean` | `toExport(JRGenericPrintElement element)` Decides whether a generic print element is to be exported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IconLabelElementGraphics2DHandler

          public IconLabelElementGraphics2DHandler()

  - ### Method Detail

    - #### getInstance

          public static IconLabelElementGraphics2DHandler getInstance()

    - #### exportElement

          public void exportElement(JRGraphics2DExporterContext exporterContext,
                           JRGenericPrintElement element,
                           java.awt.Graphics2D grx,
                           Offset offset)

      Description copied from interface: `GenericElementGraphics2DHandler`
      Exports a generic element.
      Specified by:
        `exportElement` in interface `GenericElementGraphics2DHandler`
        `element` - the generic element to export
        `grx` - the graphic context

    - #### toExport

          public boolean toExport(JRGenericPrintElement element)

      Description copied from interface: `GenericElementHandler`
      Decides whether a generic print element is to be exported.
      Specified by:
        `toExport` in interface `GenericElementHandler`
      Parameters:
        `element` - the element
      Returns:
        whether the element is to be exported or skipped

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com